Subject: Re: [PATCH v2 00/12] vcs-svn: incremental import

From: Jonathan Nieder <[email-masked]>
Date: Mon, 7 Mar 2011 15:23:30 -0600

Sverre Rabbelier wrote:
> On Sun, Mar 6, 2011 at 23:54, Jonathan Nieder <[email-masked]> wrote:

>> Patch 1 changes the mark numbers for blobs to be ridiculously high,
>> to make room for memorable commit marks (:1 for r1, :2 for r2, etc).
>
> How high is rediculously high?

2^30.  Later in the series (vcs-svn: eliminate repo_tree structure)
the blob marks are eliminated altogether.

> "Marks are stored in a sparse array, using 1 pointer (4 bytes or 8
> bytes, depending on pointer size) per mark. Although the array is
> sparse, frontends are still strongly encouraged to use marks between 1
> and n, where n is the total number of marks required for this import."

I assume that is mostly meant to make it easier to write alternate
backends.